> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company



## OpenAPI

````yaml /api-reference/openapi.json get /v1/companies/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Caplia Investor API
  description: >-
    Public REST API for the Caplia Investor Portal. Auth: `Authorization: Bearer
    cap_inv_live_<32 chars>`.
  contact:
    name: Caplia
    url: https://docs.venture.caplia.ai
servers:
  - url: https://api.venture.caplia.ai
    description: Production
security: []
paths:
  /v1/companies/{id}:
    get:
      tags:
        - Companies
      summary: Get a company
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  website:
                    type: string
                    nullable: true
                  industry:
                    type: string
                    nullable: true
                  stage:
                    type: string
                    nullable: true
                  problem_statement:
                    type: string
                    nullable: true
                  created_at:
                    type: string
                    nullable: true
                  founders:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          nullable: true
                        email:
                          type: string
                          nullable: true
                        role:
                          type: string
                          nullable: true
                        linkedin_url:
                          type: string
                          nullable: true
                      required:
                        - name
                        - email
                        - role
                        - linkedin_url
                  properties:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - select
                            - multi_select
                            - text
                            - reference
                        value:
                          anyOf:
                            - type: string
                            - type: array
                              items:
                                type: string
                        label:
                          anyOf:
                            - type: string
                            - type: array
                              items:
                                type: string
                            - nullable: true
                      required:
                        - id
                        - name
                        - type
                        - value
                        - label
                required:
                  - id
                  - name
                  - website
                  - industry
                  - stage
                  - problem_statement
                  - created_at
                  - founders
                  - properties
        '404':
          description: Not found or out of scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````